Bug 1637883 - Improve help text for RHV attributes, where ever user needs to pass ID's
Summary: Improve help text for RHV attributes, where ever user needs to pass ID's
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: orabin
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 09:29 UTC by Sanket Jagtap
Modified: 2019-10-07 17:17 UTC (History)
6 users (show)

Fixed In Version: foreman-1.20.1.28-1,tfm-rubygem-hammer_cli_foreman-0.15.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Foreman Issue Tracker 26333 None None None 2019-03-13 10:35:43 UTC
Foreman Issue Tracker 26334 None None None 2019-03-13 10:41:12 UTC

Comment 6 Shira Maximov 2018-10-22 15:28:52 UTC
Sanket, 
The correct way of creating compute resource is with the datacenter id as appear in ovirt and not name, can you please try again?

Comment 8 Shira Maximov 2018-10-23 07:50:55 UTC
thanks, Sanket :)
I was able to reproduce the issue, 
when creating the compute resource with datacenter-id, The Compute resource have all parameter including datacenter and quota, but the host is not created properly. it might be related to "test_connection"

Comment 9 Shira Maximov 2018-10-23 08:09:56 UTC
Created redmine issue https://projects.theforeman.org/issues/25281 from this bug

Comment 10 Shira Maximov 2018-11-05 16:08:20 UTC
Can you please try to create the compute resource with quota id as well? 
thanks.

Comment 11 Shira Maximov 2018-11-05 16:08:27 UTC
Can you please try to create the compute resource with quota id as well? 
thanks.

Comment 13 orabin 2019-03-05 21:31:38 UTC
Does this work when ovirt-quota is sent as an id and not it's name?

Comment 14 Sanket Jagtap 2019-03-06 08:30:23 UTC
Build: Satellite snap 18 

This actually works when the quota is added as an ID to compute resource, and I feel this is confusing.
Can we have the support for Name for attributes for RHV , or atleast for now improve the help text intimating user, exactly what they need to pass. 

hammer -v -u admin -p changeme --output=csv compute-resource create --name="z12z2" --provider="Ovirt" --user="admin@internal" --password="" --datacenter="5aaaaa41-035d-0157-0166-00000000030b" --url="https://rhevm1.sa:443/ovirt-engine/api" --ovirt-quota="5aaaaa67-02a9-026e-0185-00000000025f" --locations="Default Location" --organizations="Default Organization"
Message,Id,Name
Compute resource created.,5,z12z2
[root@qe-sat6-feature-rhel7 ~]# hammer -v -u admin -p changeme --output=csv host create --compute-attributes="cluster=5aaaaa41-02db-027c-0190-0000000001c8,cores=1,memory=1073741824,start=1" --compute-resource-id="5" --hostgroup="RHEL 7 Server 64-bit HG" --interface="compute_name=nic1, compute_network=2d7dc335-a881-44ce-aa17-46ebdd4dcb58" --location="Default Location" --name="new-host" --organization="Default Organization" --provision-method="build" --root-password="dog8code" --volume="size_gb=10,storage_domain=c4fc24ba-651a-4db6-a137-c5ad8a4a921f,bootable=True"
Message,Id,Name
Host created.,9,new-host.s


As, of now we have 5 Parameters that needs to be passed as ID to create a Host on RHV 

Datacenter, ovirt-quota, cluster, network , storage-domain

Comment 15 orabin 2019-03-06 10:33:36 UTC
Datacenter was fixed and can be passed as a name or id now.
There is a possibility to fix ovirt-quota but we might want to look into a bigger change that will fix all 5 parameters.

Since this is working with ids I would suggest to push off of 6.5 and look into a general solution.
Perhaps another bugzilla that improves the documentation to mention these all need ids can be opened and that one targeted for 6.5?
That would be a minor change with no dependencies.

Comment 16 orabin 2019-03-06 10:35:40 UTC
I missed the title change.
Let's keep this bug for the documentation and open an RFE to allow names instead of ids.

Comment 17 Bryan Kearney 2019-03-13 12:06:30 UTC
Upstream bug assigned to orabin@redhat.com

Comment 18 Bryan Kearney 2019-03-13 12:06:31 UTC
Upstream bug assigned to orabin@redhat.com

Comment 19 Bryan Kearney 2019-03-18 14:06:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26334 has been resolved.

Comment 23 Sanket Jagtap 2019-03-27 06:41:32 UTC
Build : Satellite 6.5.0 snap22

oVirt:
    --compute-attributes:
      cluster             ID of cluster to use
      template            Hardware profile to use
      cores               Integer value, number of cores
      memory              Amount of memory, integer value in bytes
      start               Boolean (expressed as 0 or 1), whether to start the machine or not

    --interface:
      compute_name        Eg. eth0
      compute_network     Select one of available networks for a cluster, must be an ID

    --volume:
      size_gb             Volume size in GB, integer value
      storage_domain      ID of storage domain
      bootable            Boolean, only one volume can be bootable

 --ovirt-quota OVIRT_QUOTA                   For RHEV only, ID of quota to use

The help text is now improved and it clear as to what values are expected.

Comment 25 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.